import request from '@/utils/request'

// 查询TmRechargePackage列表
export function listTmRechargePackage(query) {
  return request({
    url: '/api/v1/tm-recharge-package',
    method: 'get',
    params: query
  })
}

// 查询TmRechargePackage详细
export function getTmRechargePackage(id) {
  return request({
    url: '/api/v1/tm-recharge-package/' + id,
    method: 'get'
  })
}

// 新增TmRechargePackage
export function addTmRechargePackage(data) {
  return request({
    url: '/api/v1/tm-recharge-package',
    method: 'post',
    data: data
  })
}

// 修改TmRechargePackage
export function updateTmRechargePackage(data) {
  return request({
    url: '/api/v1/tm-recharge-package/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除TmRechargePackage
export function delTmRechargePackage(data) {
  return request({
    url: '/api/v1/tm-recharge-package',
    method: 'delete',
    data: data
  })
}

